/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include "retstruct.h"

struct tag_t retstruct(int i, short *sptr, double d, struct tag_t *ps) {
  ps->i = i;
  ps->s = *sptr;
  ps->d = d;
  i = 10 * i;
  d = 10 * d;
  *sptr = 10 * (*sptr);
  return *ps;
}
